| DocBook: The Definitive Guide 2.0.17 (Alpha)

# html:form

$Revision$

$Date$

html:form — An HTML form

## Synopsis

If the HTML Forms Module is used, `html:form` elements can be used in most of the places where `para` can be used.

## Description

XHTML defines a `html:form` element that can be used to add interactivity to web pages. The HTML Forms Module for DocBook allows `html:form` elements to be used in DocBook documents.

A complete description of XHTML is outside the scope of this reference.

## Examples

    <!DOCTYPE section PUBLIC "-//OASIS//DTD DocBook HTML Forms Module V1.0//EN"
                   "dbforms.dtd">
    <section><title>HTML Forms Test</title>

    <para><html:input/>ClassSynopsis version:</para>

    <html:form action="dosomething">
    <para>foo<html:button>xxx</html:button>
    </para>
    </html:form>
    </section>

honorific |  | imagedata

Copyright © 1999, 2000, 2001, 2002, 2003 O'Reilly & Associates, Inc. All rights reserved.